//活动状态
function ActiveState(str1,str2)
{
	var result,url;
	var j;
	url = "{$rootpath}pub/ActiveState.asp?action="+str2+"&pid="+str1
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
	xmlDoc.async=false;
	xmlDoc.load(url);
	document.getElementById("web_ActiveState").innerHTML=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
	
}



//自定义等级价格
 function ProductMyPrice(str1,str2)
{
	var result,url;
	var j;
	url = "{$rootpath}pub/ShowPrice.asp?action="+str2+"&pid="+str1
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
	xmlDoc.async=false;
	xmlDoc.load(url);
	document.getElementById("web_ProductMyPrice").innerHTML=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
	
}

//自定义等级价格
 function ProductMyPrice2(str1,str2)
{
	var result,url;
	var j;
	url = "{$rootpath}pub/ShowPrice.asp?action="+str2+"&pid="+str1
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
	xmlDoc.async=false;
	xmlDoc.load(url);
	document.getElementById("web_ProductMyPrice2").innerHTML=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
	
}


// 商品库存
function ProductStock(str1,str2)
{
	var result,url;
	var j;
	url = "{$rootpath}pub/ProductStock.asp?action="+str2+"&pid="+str1
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
	xmlDoc.async=false;
	xmlDoc.load(url);
	document.getElementById("web_ProductStock").innerHTML=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
	
}
function Loadlogininfo(str1,str2,str3)
{ 
 var result,url;
 var j;
 url = "{$rootpath}pub/getlogininfo.asp?pid="+str1
 var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
 xmlDoc.async=false;
 xmlDoc.load(url);
 document.getElementById("logininfo").innerHTML=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
}
//返回登录表单
function Showloginform(loginmethod,loginstyle,showstyle,loginjump,showid)
{
	var url;
	url = "{$rootpath}pub/showlogin.asp?loginmethod="+loginmethod +"&loginstyle="+loginstyle+"&showstyle="+showstyle+"&loginjump="+loginjump+"&showid="+showid
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
	xmlDoc.async=false;
	xmlDoc.load(url);
	document.getElementById(showid).innerHTML=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
}

//返回登陆验证
function Checklogin(loginmethod,loginstyle,showstyle,loginjump,showid,uid,pid,codeid)
{
	var url,result;
	url = "{$rootpath}pub/checklogin.asp?pageid=ajax&username="+uid+"&userpassword="+pid
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
	xmlDoc.async=false;
	xmlDoc.load(url);
	result=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
	if (result==1)
	{
		url = "{$rootpath}pub/showlogin.asp?loginmethod="+loginmethod +"&loginstyle="+loginstyle+"&showstyle="+showstyle+"&loginjump="+loginjump+"&showid="+showid
		var xmlDoc=new ActiveXObject("Microsoft.XMLDOM") 
		xmlDoc.async=false;
		xmlDoc.load(url);
		document.getElementById(showid).innerHTML=xmlDoc.childNodes(1).childNodes(0).childNodes(0).text;
	}
	else
	{
		alert(result);
	}	
}


